aboutsummaryrefslogtreecommitdiffstats
path: root/run_test_deliverable.sh
diff options
context:
space:
mode:
authorYann Herklotz <ymherklotz@gmail.com>2017-03-27 02:28:29 +0100
committerYann Herklotz <ymherklotz@gmail.com>2017-03-27 02:28:29 +0100
commita7c5f260391da944bd0779e8ac6efb2f0f6b5a6b (patch)
treec64a6d0096a1dc4ee3a0a3fff7649ae1df52dff8 /run_test_deliverable.sh
parente9657092063e786a52fefcfa4c528bac07472908 (diff)
downloadCompiler-a7c5f260391da944bd0779e8ac6efb2f0f6b5a6b.tar.gz
Compiler-a7c5f260391da944bd0779e8ac6efb2f0f6b5a6b.zip
Working even more
Diffstat (limited to 'run_test_deliverable.sh')
-rwxr-xr-xrun_test_deliverable.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/run_test_deliverable.sh b/run_test_deliverable.sh
index 2fb3f89..bbb36b9 100755
--- a/run_test_deliverable.sh
+++ b/run_test_deliverable.sh
@@ -35,11 +35,11 @@ for DRIVER in test_deliverable/testcases/*_driver.c ; do
fi
# Compile test function with compiler under test to assembly
- cat $TESTCODE | $COMPILER > working/$NAME.s 2> working/${NAME}.compile.stderr
- if [[ $? -ne 0 ]]; then
- printf "\e[1;31mError\e[0m : Compiler returned error message.\n"
- continue
- fi
+ # cat $TESTCODE | $COMPILER > working/$NAME.s 2> working/${NAME}.compile.stderr
+ # if [[ $? -ne 0 ]]; then
+ # printf "\e[1;31mError\e[0m : Compiler returned error message.\n"
+ # continue
+ # fi
# Link driver object and assembly into executable
mips-linux-gnu-gcc -static working/${NAME}.s working/${NAME}_driver.o -o working/${NAME}.elf 2> working/${NAME}.link.stderr
@@ -49,10 +49,10 @@ for DRIVER in test_deliverable/testcases/*_driver.c ; do
fi
# Run the actual executable
- qemu-mips working/${NAME}.elf
+ qemu-mips working/${NAME}.elf > working/$NAME.elf.stdout
RESULT=$?
if [[ "$RESULT" -ne 0 ]]; then
- >&2 printf "\e[1;31mError\e[0m : Testcase returned $RESULT, but expected 0.\n"
+ printf "\e[1;31mError\e[0m : Testcase returned $RESULT, but expected 0.\n"
continue
fi